tbb::internal::scheduler_properties Struct Reference

Bit-field representing properties of a sheduler. More...

`#include <scheduler.h>`

Collaboration diagram for tbb::internal::scheduler_properties:

## Public Attributes

bool | type: 1
| Indicates that a scheduler acts as a master or a worker. More...
bool | outermost: 1
| Indicates that a scheduler is on outermost level. More...
unsigned | char: 6
| Reserved bits. More...

## Static Public Attributes

static const bool | worker = false
static const bool | master = true

## Detailed Description

Bit-field representing properties of a sheduler.

Definition at line 50 of file scheduler.h.

## Member Data Documentation

## char

unsigned tbb::internal::scheduler_properties::char

Reserved bits.

Definition at line 73 of file scheduler.h.

## master

const bool tbb::internal::scheduler_properties::master = true

static

Definition at line 52 of file scheduler.h.

Referenced by tbb::internal::generic_scheduler::create_master().

## outermost

bool tbb::internal::scheduler_properties::outermost

Indicates that a scheduler is on outermost level.

Note that the explicit execute method will set this property.

Definition at line 57 of file scheduler.h.

Referenced by tbb::internal::generic_scheduler::generic_scheduler(), tbb::internal::nested_arena_context::mimic_outermost_level(), and tbb::internal::generic_scheduler::outermost_level().

## type

bool tbb::internal::scheduler_properties::type

Indicates that a scheduler acts as a master or a worker.

Definition at line 54 of file scheduler.h.

Referenced by tbb::internal::generic_scheduler::is_worker(), and tbb::internal::nested_arena_context::mimic_outermost_level().

## worker

const bool tbb::internal::scheduler_properties::worker = false

static

Definition at line 51 of file scheduler.h.

Referenced by tbb::internal::generic_scheduler::create_worker(), and tbb::internal::generic_scheduler::is_worker().

The documentation for this struct was generated from the following file:

- scheduler.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.